# Class Address

java.lang.Object
com.codename1.contacts.Address

public class Address extends Object
This class represents a Contact Address

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Address()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCountry()`
  Gets Address Country
  `String`
  `getLocality()`
  Gets Address Locality
  `String`
  `getPostalCode()`
  Gets Address Postal Code
  `String`
  `getRegion()`
  Gets Address Region
  `String`
  `getStreetAddress()`
  Gets Address Street
  `void`
  `setCountry(String country)`
  Sets Address Country
  `void`
  `setLocality(String locality)`
  Sets Address Locality
  `void`
  `setPostalCode(String postalCode)`
  Sets Address Postal Code
  `void`
  `setRegion(String region)`
  Sets Address Region
  `void`
  `setStreetAddress(String streetAddress)`
  Sets Address street

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Address

    public Address()

- ## Method Details

  - ### getCountry

    public String getCountry()
    Gets Address Country

  - ### setCountry

    public void setCountry(String country)
    Sets Address Country

  - ### getLocality

    public String getLocality()
    Gets Address Locality

  - ### setLocality

    public void setLocality(String locality)
    Sets Address Locality

  - ### getPostalCode

    public String getPostalCode()
    Gets Address Postal Code

  - ### setPostalCode

    public void setPostalCode(String postalCode)
    Sets Address Postal Code

  - ### getRegion

    public String getRegion()
    Gets Address Region

  - ### setRegion

    public void setRegion(String region)
    Sets Address Region

  - ### getStreetAddress

    public String getStreetAddress()
    Gets Address Street

  - ### setStreetAddress

    public void setStreetAddress(String streetAddress)
    Sets Address street